import type { AccountOnFileJSON } from './types';
import { AccountOnFileDisplayHints } from './AccountOnFileDisplayHints';
import { Attribute } from './Attribute';
import { MaskedString } from './MaskedString';
export declare class AccountOnFile {
    readonly json: AccountOnFileJSON;
    readonly attributes: Attribute[];
    readonly displayHints: AccountOnFileDisplayHints;
    readonly id: number;
    readonly paymentProductId: number;
    private readonly _attributeMap;
    constructor(json: AccountOnFileJSON);
    /**
     * Get attribute by attribute key
     * @param attributeKey - The attribute key
     */
    getAttribute(attributeKey: Attribute['key']): Attribute | undefined;
    getMaskedValueByAttributeKey(attributeKey: string): MaskedString | undefined;
}
