import type { BasicPaymentItem } from './BasicPaymentItem';
import { AccountOnFile } from './AccountOnFile';
import { BasicPaymentProductGroups } from './BasicPaymentProductGroups';
import { BasicPaymentProducts } from './BasicPaymentProducts';
export declare class BasicPaymentItems {
    readonly accountsOnFile: AccountOnFile[];
    readonly basicPaymentItems: BasicPaymentItem[];
    private readonly _accountOnFileMap;
    private readonly _basicPaymentItemMap;
    constructor(products: BasicPaymentProducts, groups?: BasicPaymentProductGroups | null);
    private _basicPaymentProductsToBasicPaymentItems;
    /**
     * Get the account on file by given account on file id.
     * @param accountOnFileId - The account on file id
     */
    getAccountOnFile(accountOnFileId: AccountOnFile['id']): AccountOnFile | undefined;
    /**
     * Get the basic payment item by given basic payment item id.
     * @param basicPaymentItemId - The basic payment item id
     */
    getBasicPaymentItem(basicPaymentItemId: BasicPaymentItem['id']): BasicPaymentItem | undefined;
}
