import type { BasicPaymentProductJSON } from './types';
import { AccountOnFile } from './AccountOnFile';
import { AuthenticationIndicator } from './AuthenticationIndicator';
import { PaymentProduct302SpecificData } from './PaymentProduct302SpecificData';
import { PaymentProduct320SpecificData } from './PaymentProduct320SpecificData';
import { PaymentProduct863SpecificData } from './PaymentProduct863SpecificData';
import { PaymentProductDisplayHints } from './PaymentProductDisplayHints';
export declare class BasicPaymentProduct {
    readonly json: BasicPaymentProductJSON;
    readonly accountsOnFile: AccountOnFile[];
    readonly allowsRecurring: boolean;
    readonly allowsTokenization: boolean;
    readonly autoTokenized: boolean;
    readonly allowsInstallments: boolean;
    readonly authenticationIndicator?: AuthenticationIndicator;
    readonly acquirerCountry?: string;
    readonly canBeIframed?: boolean;
    readonly deviceFingerprintEnabled: boolean;
    readonly displayHints: PaymentProductDisplayHints;
    readonly id: number;
    readonly isJavaScriptRequired?: boolean;
    readonly maxAmount?: number;
    readonly minAmount?: number;
    readonly paymentMethod: string;
    readonly mobileIntegrationLevel: string;
    readonly usesRedirectionTo3rdParty: boolean;
    readonly paymentProduct302SpecificData?: PaymentProduct302SpecificData;
    readonly paymentProduct320SpecificData?: PaymentProduct320SpecificData;
    readonly paymentProduct863SpecificData?: PaymentProduct863SpecificData;
    readonly paymentProductGroup?: string;
    readonly supportsMandates?: boolean;
    readonly type = "product";
    private readonly _accountOnFileMap;
    constructor(json: BasicPaymentProductJSON);
    /**
     * Get the account on file by given account on file id.
     * @param accountOnFileId - The account on file id
     */
    getAccountOnFile(accountOnFileId: AccountOnFile['id']): AccountOnFile | undefined;
    copy(): BasicPaymentProduct;
}
