import type { BasicPaymentProductGroupJSON } from './types';
import { AccountOnFile } from './AccountOnFile';
import { PaymentProductDisplayHints } from './PaymentProductDisplayHints';
export declare class BasicPaymentProductGroup {
    readonly json: BasicPaymentProductGroupJSON;
    readonly id: string;
    readonly acquirerCountry?: string;
    readonly allowsInstallments: boolean;
    readonly displayHints: PaymentProductDisplayHints;
    readonly accountsOnFile: AccountOnFile[];
    readonly type = "group";
    private readonly _accountOnFileMap;
    constructor(json: BasicPaymentProductGroupJSON);
    /**
     * Get the account on file by given account on file id.
     * @param accountOnFileId - The account on file id
     */
    getAccountOnFile(accountOnFileId: AccountOnFile['id']): AccountOnFile | undefined;
    copy(): BasicPaymentProductGroup;
}
