import type { PaymentProductGroupsJSON } from './types';
import { AccountOnFile } from './AccountOnFile';
import { BasicPaymentProductGroup } from './BasicPaymentProductGroup';
export declare class BasicPaymentProductGroups {
    readonly json: PaymentProductGroupsJSON;
    readonly accountsOnFile: AccountOnFile[];
    readonly basicPaymentProductGroups: BasicPaymentProductGroup[];
    private readonly _accountOnFileMap;
    private readonly _paymentProductGroupMap;
    constructor(json: PaymentProductGroupsJSON);
    /**
     * Get the basic payment product group by given basic payment product group id.
     * @param paymentProductGroupId - The basic payment product group id
     */
    getBasicPaymentProductGroup(paymentProductGroupId: BasicPaymentProductGroup['id']): BasicPaymentProductGroup | undefined;
    /**
     * Get the account on file by given account on file id.
     * @param accountOnFileId - The account on file id
     */
    getAccountOnFile(accountOnFileId: AccountOnFile['id']): AccountOnFile | undefined;
}
