import type { PaymentProductsJSON } from './types';
import { AccountOnFile } from './AccountOnFile';
import { BasicPaymentProduct } from './BasicPaymentProduct';
export declare class BasicPaymentProducts {
    readonly json: PaymentProductsJSON;
    readonly accountsOnFile: AccountOnFile[];
    readonly basicPaymentProducts: BasicPaymentProduct[];
    private readonly _accountOnFileMap;
    private readonly _basicPaymentProductMap;
    private readonly _basicPaymentProductByAccountOnFileMap;
    constructor(json: PaymentProductsJSON);
    /**
     * Get the basic payment product by given account on file id.
     * @param accountOnFileId - The account on file id
     */
    getBasicPaymentProductByAccountOnFile(accountOnFileId: AccountOnFile['id']): BasicPaymentProduct | undefined;
    /**
     * Get the basic payment product by given basic payment product id.
     * @param basicPaymentProductId - The basic payment product id
     */
    getBasicPaymentProduct(basicPaymentProductId: BasicPaymentProduct['id']): BasicPaymentProduct | undefined;
    /**
     * Get the account on file by given account on file id.
     * @param accountOnFileId - The account on file id
     */
    getAccountOnFile(accountOnFileId: AccountOnFile['id']): AccountOnFile | undefined;
}
