import type { PaymentProductFieldDataRestrictionsJSON, ValidationRule, ValidationRuleType } from './types';
import { ValidationRuleFactory } from './validation-rule';
export declare class DataRestrictions {
    readonly json: PaymentProductFieldDataRestrictionsJSON;
    readonly isRequired: boolean;
    readonly validationRules: ValidationRule[];
    private readonly _validationRuleMap;
    constructor(json: PaymentProductFieldDataRestrictionsJSON);
    /**
     * Get validation rule by type
     * @param type - The type name of the validation rule
     */
    getValidationRule(type: ValidationRuleType | Capitalize<ValidationRuleType> | string): ReturnType<ValidationRuleFactory['makeValidator']> | undefined;
}
