import type { PublicKeyResponse } from './PublicKeyResponse';
import type { PaymentRequest } from './PaymentRequest';
export declare class Encryptor {
    private readonly _publicKeyResponsePromise;
    constructor(publicKeyResponsePromise: Promise<PublicKeyResponse>);
    /**
     * Encrypts the given payment request.
     * Calls {@link PaymentRequest.validate}, so it's not necessary to do that first.
     * If validation fails, the returned promise is rejected with the validation errors.
     */
    encrypt(paymentRequest: PaymentRequest): Promise<string>;
}
