import type { PaymentProductJSON } from './types';
import { PaymentProductField } from './PaymentProductField';
import { BasicPaymentProduct } from './BasicPaymentProduct';
export declare class PaymentProduct extends BasicPaymentProduct {
    readonly json: PaymentProductJSON;
    readonly fieldsWarning?: string;
    readonly paymentProductFields: PaymentProductField[];
    private readonly _paymentProductFieldMap;
    constructor(json: PaymentProductJSON);
    /**
     * Get the payment product field by given payment product field id.
     * @param paymentProductFieldId - The payment product field id
     */
    getPaymentProductField(paymentProductFieldId: PaymentProductField['id']): PaymentProductField | undefined;
}
