import type { APIErrorJSON, ErrorResponseJSON } from '../types';
import type { Merge, RequiredBy } from '../types';
type Error = RequiredBy<Partial<APIErrorJSON>, 'code' | 'propertyName' | 'message' | 'httpStatusCode'>;
type PartialErrorResponseJSON = Merge<ErrorResponseJSON, {
    errors: Error[];
}>;
export declare class ResponseJsonError extends Error {
    readonly message: string;
    readonly errorId: string;
    readonly errors: Error[];
    constructor(message: string, { errorId, errors }: PartialErrorResponseJSON);
}
export {};
