import type { EmptyValidatorJSON, ValidationRule, ValidationRuleDefinition } from '../../types';
import type { PaymentRequest } from '../../PaymentRequest';
export declare class ValidationRuleIban implements ValidationRule {
    readonly json: ValidationRuleDefinition<EmptyValidatorJSON>;
    readonly type: string;
    readonly errorMessageId: string;
    constructor(json: ValidationRuleDefinition<EmptyValidatorJSON>);
    /**
     * Validate Iban rule
     * @see https://github.com/arhs/iban.js/blob/master/iban.js
     */
    validate(value: string): boolean;
    validateValue(request: PaymentRequest, fieldId: string): boolean;
}
